from importlib.machinery import SourceFileLoader
from importlib.util import spec_from_loader, module_from_spec
loader = SourceFileLoader('func', 'tests/dictionaries/../eosfunc/test.py')
spec = spec_from_loader(loader.name, loader)
func = module_from_spec(spec)
loader.exec_module(func)
for key, value in dict(locals()).items():
    if key != ['SourceFileLoader', 'func']:
        setattr(func, key, value)
try:
    from tiramisu3 import *
except:
    from tiramisu import *
from rougail.tiramisu import ConvertDynOptionDescription
option_3 = StrOption(name='mode_conteneur_actif', doc='Description', default='non', properties=frozenset({'mandatory', 'normal'}))
option_2 = OptionDescription(name='general', doc='general', children=[option_3], properties=frozenset({'normal'}))
option_1 = OptionDescription(name='rougail', doc='rougail', children=[option_2])
option_8 = StrOption(name='group', doc='group', default='root')
option_9 = StrOption(name='mode', doc='mode', default='0644')
option_10 = StrOption(name='name', doc='name', default='/etc/file')
option_11 = StrOption(name='owner', doc='owner', default='root')
option_12 = StrOption(name='source', doc='source', default='file')
option_13 = BoolOption(name='templating', doc='templating', default=True)
option_14 = BoolOption(name='activate', doc='activate', default=True)
option_7 = OptionDescription(name='file', doc='file', children=[option_8, option_9, option_10, option_11, option_12, option_13, option_14])
option_6 = OptionDescription(name='files', doc='files', children=[option_7])
option_5 = OptionDescription(name='test', doc='test', children=[option_6])
option_5.impl_set_information("manage", True)
option_4 = OptionDescription(name='services', doc='services', children=[option_5], properties=frozenset({'hidden'}))
option_0 = OptionDescription(name='baseoption', doc='baseoption', children=[option_1, option_4])
