from importlib.machinery import SourceFileLoader
from importlib.util import spec_from_loader, module_from_spec
loader = SourceFileLoader('func', 'tests/dictionaries/../eosfunc/test.py')
spec = spec_from_loader(loader.name, loader)
func = module_from_spec(spec)
loader.exec_module(func)
for key, value in dict(locals()).items():
    if key != ['SourceFileLoader', 'func']:
        setattr(func, key, value)
try:
    from tiramisu3 import *
except:
    from tiramisu import *
from rougail.tiramisu import ConvertDynOptionDescription
option_3 = StrOption(name='mode_conteneur_actif', doc='No change', default='non', properties=frozenset({'mandatory', 'normal'}))
option_2 = OptionDescription(name='general', doc='general', children=[option_3], properties=frozenset({'normal'}))
option_6 = StrOption(name='leader', doc='leader', multi=True, properties=frozenset({'force_default_on_freeze', 'frozen'}))
option_7 = StrOption(name='follower1', doc='follower1', multi=True, default=Calculation(func.calc_val, Params((), kwargs={'valeur': ParamValue("valfill")})), properties=frozenset({'force_default_on_freeze', 'frozen', 'normal'}))
option_8 = StrOption(name='follower2', doc='follower2', multi=True, default=Calculation(func.calc_val, Params((ParamOption(option_7, notraisepropertyerror=False, todict=False)), kwargs={})), properties=frozenset({'force_default_on_freeze', 'frozen', 'normal'}))
option_9 = StrOption(name='follower3', doc='follower3', multi=True, properties=frozenset({'force_default_on_freeze', 'frozen', 'normal'}))
option_5 = Leadership(name='leader', doc='leader', children=[option_6, option_7, option_8, option_9], properties=frozenset({'hidden', 'normal'}))
option_4 = OptionDescription(name='general1', doc='general1', children=[option_5], properties=frozenset({'normal'}))
option_1 = OptionDescription(name='rougail', doc='rougail', children=[option_2, option_4])
option_0 = OptionDescription(name='baseoption', doc='baseoption', children=[option_1])
