from importlib.machinery import SourceFileLoader
from importlib.util import spec_from_loader, module_from_spec
loader = SourceFileLoader('func', 'tests/dictionaries/../eosfunc/test.py')
spec = spec_from_loader(loader.name, loader)
func = module_from_spec(spec)
loader.exec_module(func)
for key, value in dict(locals()).items():
    if key != ['SourceFileLoader', 'func']:
        setattr(func, key, value)
try:
    from tiramisu3 import *
except:
    from tiramisu import *
from rougail.tiramisu import ConvertDynOptionDescription
option_4 = StrOption(name='var', doc='New variable', multi=True, default=['a', 'b', 'c'], default_multi='c', properties=frozenset({'mandatory', 'normal'}))
option_3 = ChoiceOption(name='mode_conteneur_actif', doc='No change', values=Calculation(func.calc_value, Params((ParamOption(option_4)))), default='a', properties=frozenset({'mandatory', 'normal'}))
option_2 = OptionDescription(name='general', doc='general', children=[option_3, option_4], properties=frozenset({'normal'}))
option_1 = OptionDescription(name='rougail', doc='rougail', children=[option_2])
option_0 = OptionDescription(name='baseoption', doc='baseoption', children=[option_1])
