from importlib.machinery import SourceFileLoader
from importlib.util import spec_from_loader, module_from_spec
loader = SourceFileLoader('func', 'tests/dictionaries/../eosfunc/test.py')
spec = spec_from_loader(loader.name, loader)
func = module_from_spec(spec)
loader.exec_module(func)
for key, value in dict(locals()).items():
    if key != ['SourceFileLoader', 'func']:
        setattr(func, key, value)
try:
    from tiramisu3 import *
except:
    from tiramisu import *
from rougail.tiramisu import ConvertDynOptionDescription
option_3 = StrOption(name='mode_conteneur_actif', doc='No change', default='oui', properties=frozenset({'force_default_on_freeze', 'frozen', 'hidden', 'mandatory', 'normal'}))
option_2 = OptionDescription(name='general', doc='général', children=[option_3], properties=frozenset({'normal'}))
option_1 = OptionDescription(name='rougail', doc='rougail', children=[option_2])
option_8 = StrOption(name='group', doc='group', default='root')
option_9 = StrOption(name='mode', doc='mode', default='0644')
option_10 = StrOption(name='name', doc='name', default='/etc/mailname')
option_11 = StrOption(name='owner', doc='owner', default='root')
option_12 = StrOption(name='source', doc='source', default='mailname')
option_13 = BoolOption(name='templating', doc='templating', default=True)
option_14 = BoolOption(name='activate', doc='activate', default=True)
option_7 = OptionDescription(name='mailname', doc='mailname', children=[option_8, option_9, option_10, option_11, option_12, option_13, option_14])
option_16 = StrOption(name='group', doc='group', default='root')
option_17 = StrOption(name='mode', doc='mode', default='0644')
option_18 = StrOption(name='name', doc='name', default='/etc/eole/mailname')
option_19 = StrOption(name='owner', doc='owner', default='root')
option_20 = StrOption(name='source', doc='source', default='mailname')
option_21 = BoolOption(name='templating', doc='templating', default=True)
option_22 = BoolOption(name='activate', doc='activate', default=True)
option_15 = OptionDescription(name='mailname_1', doc='mailname_1', children=[option_16, option_17, option_18, option_19, option_20, option_21, option_22])
option_24 = StrOption(name='group', doc='group', default='root')
option_25 = StrOption(name='mode', doc='mode', default='0644')
option_26 = StrOption(name='name', doc='name', default='/rougail.conf')
option_27 = StrOption(name='owner', doc='owner', default='root')
option_28 = StrOption(name='source', doc='source', default='rougail.conf')
option_29 = BoolOption(name='templating', doc='templating', default=True)
option_30 = BoolOption(name='activate', doc='activate', default=True)
option_23 = OptionDescription(name='rougail_conf', doc='rougail.conf', children=[option_24, option_25, option_26, option_27, option_28, option_29, option_30])
option_6 = OptionDescription(name='files', doc='files', children=[option_7, option_15, option_23])
option_5 = OptionDescription(name='test', doc='test', children=[option_6])
option_5.impl_set_information("manage", True)
option_4 = OptionDescription(name='services', doc='services', children=[option_5], properties=frozenset({'hidden'}))
option_0 = OptionDescription(name='baseoption', doc='baseoption', children=[option_1, option_4])
