from importlib.machinery import SourceFileLoader
from importlib.util import spec_from_loader, module_from_spec
loader = SourceFileLoader('func', 'tests/dictionaries/../eosfunc/test.py')
spec = spec_from_loader(loader.name, loader)
func = module_from_spec(spec)
loader.exec_module(func)
for key, value in dict(locals()).items():
    if key != ['SourceFileLoader', 'func']:
        setattr(func, key, value)
try:
    from tiramisu3 import *
except:
    from tiramisu import *
from rougail.tiramisu import ConvertDynOptionDescription
option_3 = StrOption(name='mode_conteneur_actif', doc='No change', default='oui', properties=frozenset({'mandatory', 'normal'}))
option_4 = IPOption(name='adresse_ip_eth0', doc='Adresse IP de la carte', private_only=True, warnings_only=True, properties=frozenset({'basic', 'mandatory'}))
option_5 = NetmaskOption(name='adresse_netmask_eth0', doc='Masque de sous réseau de la carte', validators=[Calculation(func.valid_ipnetmask, Params((ParamSelfOption(), ParamOption(option_4, notraisepropertyerror=False, todict=False)), kwargs={}), warnings_only=True)], properties=frozenset({'basic', 'mandatory'}))
option_2 = OptionDescription(name='general', doc='general', children=[option_3, option_4, option_5], properties=frozenset({'basic'}))
option_1 = OptionDescription(name='rougail', doc='rougail', children=[option_2])
option_0 = OptionDescription(name='baseoption', doc='baseoption', children=[option_1])
