from importlib.machinery import SourceFileLoader
from importlib.util import spec_from_loader, module_from_spec
loader = SourceFileLoader('func', 'tests/dictionaries/../eosfunc/test.py')
spec = spec_from_loader(loader.name, loader)
func = module_from_spec(spec)
loader.exec_module(func)
for key, value in dict(locals()).items():
    if key != ['SourceFileLoader', 'func']:
        setattr(func, key, value)
try:
    from tiramisu3 import *
except:
    from tiramisu import *
from rougail.tiramisu import ConvertDynOptionDescription
option_3 = StrOption(name='condition', doc='No change', default='non', properties=frozenset({'mandatory', 'normal'}))
option_4 = StrOption(name='mode_conteneur_actif', doc='No change', default='non', properties=frozenset({'mandatory', 'normal', Calculation(calc_value, Params(ParamValue('disabled'), kwargs={'condition': ParamOption(option_3, todict=True), 'expected': ParamValue('oui')}))}))
option_5 = BoolOption(name='mode_conteneur_actif2', doc='No change', default=True, properties=frozenset({'mandatory', 'normal', Calculation(calc_value, Params(ParamValue('disabled'), kwargs={'condition': ParamOption(option_3, todict=True), 'expected': ParamValue('oui')}))}))
option_2 = OptionDescription(name='general', doc='general', children=[option_3, option_4, option_5], properties=frozenset({'normal'}))
option_1 = OptionDescription(name='rougail', doc='rougail', children=[option_2])
option_10 = StrOption(name='group', doc='group', default='root')
option_11 = StrOption(name='mode', doc='mode', default='0644')
option_12 = StrOption(name='name', doc='name', default='/etc/file')
option_13 = StrOption(name='owner', doc='owner', default='root')
option_14 = StrOption(name='source', doc='source', default='file')
option_15 = BoolOption(name='templating', doc='templating', default=True)
option_16 = BoolOption(name='activate', doc='activate', default=True, properties=frozenset({Calculation(calc_value, Params(ParamValue('disabled'), kwargs={'condition': ParamOption(option_3, todict=True), 'expected': ParamValue('oui')}))}))
option_9 = OptionDescription(name='file', doc='file', children=[option_10, option_11, option_12, option_13, option_14, option_15, option_16])
option_8 = OptionDescription(name='files', doc='files', children=[option_9])
option_7 = OptionDescription(name='test', doc='test', children=[option_8])
option_7.impl_set_information("manage", True)
option_6 = OptionDescription(name='services', doc='services', children=[option_7], properties=frozenset({'hidden'}))
option_0 = OptionDescription(name='baseoption', doc='baseoption', children=[option_1, option_6])
